---
title: List report sections
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getsitereportssections/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getsitereportssections.png
---

# List report sections

GET

/site_reports/sections

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/site_reports/sections \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the sections that can be included in a site report.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Responses

### 200

Returns a `SiteReportSection` object.

Media typeapplication/json

object

**name**

Name of the report type

string

**resource_type**

Type of resource the sections apply to

string

**sections**

Available sections that can be included in the report

Array\<object>

object

**name**

Internal identifier for the section

string

**display_text**

Human-readable name for the section

string

**order**

Display order of the section in the report

integer

**image_url**

Preview image URL for the section

string format: uri

**footer_url**

Footer link URL for the section

string format: uri

**group_name**

Group name referring to several related pages

string

**group_display_text**

Human-readable name of the section group

string

**mandatory**

Whether the section is required in all reports

boolean

#### Example

```json
{
  "name": "siteReport",
  "resource_type": "site",
  "sections": [
    {
      "name": "cover",
      "display_text": "Cover",
      "order": 1,
      "image_url": "https://storage.googleapis.com/sites_reports_static_images_bucket/preview-gallery-cover.png",
      "footer_url": "https://my.wpengine.com/installs/myinstall",
      "group_name": "overview",
      "group_display_text": "Overview",
      "mandatory": true
    }
  ]
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
